Đến nội dung


Hình ảnh
- - - - -

[Nhờ Viết Lisp] Tạo Text Dưới Dim


  • Please log in to reply
15 replies to this topic

#1 castanea

castanea

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 22 November 2016 - 11:02 AM

Mình thường tận dụng dim đoạn cắt thép 1/4 dầm để thể hiện luôn cốt đai. Cách làm là sau khi dim, vào edit dim, chuyển dấu nháy về cuối và gõ \ Shift x để xuống dòng viết thêm text.

Nhờ các Anh Em và các Bạn giúp mình làm lisp để có thể click vào dim và thêm text luôn thay vì phải thực hiện các bước trên

Thanks all. 

 


  • -1

#2 castanea

castanea

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 23 November 2016 - 08:29 AM

Đọc xong mà thấy nghẹn cả lòng ...  

:(  :(  :(

Cuối dòng+ xuống dòng khác gì 2 nốt gõ cành cạch......." End "+" Enter "... 

Bạn đã dùng thử cách mình nêu trên và cách bạn làm có gì khác nhau chưa???

Nếu đơn giản như bạn nghĩ thì autodesk họ cũng không rảnh đưa ra cái tổ hợp phím "\ Shift+x"

Thanks bạn đã comment cho không trôi bài 


  • 0

#3 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 23 November 2016 - 08:46 AM

Dim của bạn là dim chuẩn hay dim edit số hay dim có làm tròn hay dim có Prefix Suffix ?
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#4 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 665 Bài viết
Điểm đánh giá: 312 (khá)

Đã gửi 23 November 2016 - 08:58 AM

@Danhcong, Khác nhau mà ...

dkaBLv.jpg


  • 1

#5 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 665 Bài viết
Điểm đánh giá: 312 (khá)

Đã gửi 23 November 2016 - 09:10 AM

Chủ thớt thử xem ở bài này có phù hợp không nhé!

http://www.cadviet.c...momen/?p=400222


  • 0

#6 quang_lac

quang_lac

    biết lệnh mirror

  • Members
  • PipPipPip
  • 151 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 23 November 2016 - 09:12 AM

@@ hi hi. Anh @QuocManh... Em hiểu ạ... Nhưng nếu có nhiều Dimention như thế em sẽ gõ them "MA" 1 loạt. Chứ hổng sửa từng số đâu :P

 

Bạn đã thử dùng chưa mà comment nhanh thế, nếu Ma được thì người ta ko nhờ đâu


  • 0

#7 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 23 November 2016 - 09:16 AM

Nếu dùng tay thì sử dụng Alternate Units sẽ đơn giản và nhanh hơn nhiều :)
@Danh Cong : bạn tham khảo :
https://www.facebook...792906217390769

Xuống dòng under dimension liné : mã P
Xuống dòng như ý OP : mã X
Tuy nhiên, thực tế tôi thấy lisp này nếu viết ra cũng chẳng nhanh hơn là mấy :)
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#8 quang_lac

quang_lac

    biết lệnh mirror

  • Members
  • PipPipPip
  • 151 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 23 November 2016 - 09:21 AM

Nếu dùng tay thì sử dụng Alternate Units sẽ đơn giản và nhanh hơn nhiều :)

 

Lâu hơn đấy ket vì giá trị bên dưới chân dim ko tự sửa được.


  • 0

#9 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 23 November 2016 - 09:40 AM

Mình dân kết cấu mình hiểu mà. Ví dụ tạo 1 dimension style rải thép @150
=> Alternate :
+ Scale 1/150; Roundoff : 1; Sufix : "x150"
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#10 Danh Cong

Danh Cong

    biết lệnh linetype

  • Members
  • PipPipPipPip
  • 242 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 23 November 2016 - 09:51 AM

Ủa, ko "Ma" dc ạ a @Quanglac.hi,t hế e xin lỗi ạ. Em đang ko có cad, vô điện thoại nên "căm mừn" hơi nhanh.
Dạ, cám ơn anh Ket gợi ý ạ.: )
  • 0

             ***  Vô lo - Vô nghĩ - Vô sầu hận  ***

***  Chẳng thương - Chẳng giận - Chẳng đau lòng  ***


#11 castanea

castanea

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 23 November 2016 - 10:50 AM

Chủ thớt thử xem ở bài này có phù hợp không nhé!

http://www.cadviet.c...momen/?p=400222

Thanks bạn. cũng ok nhưng mình đang coi bỏ bớt phần số lượng 


  • 0

#12 doducchinh

doducchinh

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 November 2016 - 05:11 PM

@Danhcong, Khác nhau mà ...

dkaBLv.jpg

Làm sao để được như hình 2 vậy bạn, chữ và số đều nằm trong dim chứ. Mình nhiều lúc rất cần ghi chú một dòng nào đó ngay dưới dim và phải nằm trong dim


  • 0

#13 quang_lac

quang_lac

    biết lệnh mirror

  • Members
  • PipPipPip
  • 151 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 24 November 2016 - 05:19 PM

Làm sao để được như hình 2 vậy bạn, chữ và số đều nằm trong dim chứ. Mình nhiều lúc rất cần ghi chú một dòng nào đó ngay dưới dim và phải nằm trong dim

bấm tổ hợp phím "\ shift x" như chủ thớt ấy


  • 1

#14 Danh Cong

Danh Cong

    biết lệnh linetype

  • Members
  • PipPipPipPip
  • 242 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 24 November 2016 - 06:00 PM

Mình thường tận dụng dim đoạn cắt thép 1/4 dầm để thể hiện luôn cốt đai. Cách làm là sau khi dim, vào edit dim, chuyển dấu nháy về cuối và gõ \ Shift x để xuống dòng viết thêm text.

Nhờ các Anh Em và các Bạn giúp mình làm lisp để có thể click vào dim và thêm text luôn thay vì phải thực hiện các bước trên

Thanks all. 

 

Chủ thớt test thử lisp này coi xài được ko? 

 

(defun c:td ()
  (setq stext (Getstring T "Viet text muon them ben duoi Dimention: "))
  (setq snamedim  (car (entsel "\n Chon Dimention? ")))
 
  (setq dxfdim (entget snamedim))
  (setq dxfdim (subst (cons 1 (strcat "<>\\X" stext)) (assoc 1 dxfdim) dxfdim))
  (entmod dxfdim)
  (princ))

  • 0

             ***  Vô lo - Vô nghĩ - Vô sầu hận  ***

***  Chẳng thương - Chẳng giận - Chẳng đau lòng  ***


#15 Danh Cong

Danh Cong

    biết lệnh linetype

  • Members
  • PipPipPipPip
  • 242 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 24 November 2016 - 06:03 PM

Test lisp Td nhé. Xài Enter nếu text thêm có dấu cách. nếu ko cần dấu cách thì bỏ giùm chữ "T" sau code (Getstring T).

 

 

Chủ thớt test thử lisp này coi xài được ko? 

 

(defun c:td ()
  (setq stext (Getstring T "Viet text muon them ben duoi Dimention: "))
  (setq snamedim  (car (entsel "\n Chon Dimention? ")))
 
  (setq dxfdim (entget snamedim))
  (setq dxfdim (subst (cons 1 (strcat "<>\\X" stext)) (assoc 1 dxfdim) dxfdim))
  (entmod dxfdim)
  (princ))

 


  • 0

             ***  Vô lo - Vô nghĩ - Vô sầu hận  ***

***  Chẳng thương - Chẳng giận - Chẳng đau lòng  ***


#16 doducchinh

doducchinh

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 November 2016 - 01:58 PM

bấm tổ hợp phím "\ shift x" như chủ thớt ấy

làm mãi mới được, đầu tiên phải tắt caps lock rồi bấm đồng thời "\ shift x" làm sao để ra " \ X" mới được. Thế mà lâu nay mình không biết


  • 0